<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: view.html.php,v 1.9 2010-02-14 18:45:12 neschkeh Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');

class LinkDirectory2ViewWebcategory extends JView {
	
	public function display($tpl = null) {
		global $option;
		$mainframe = JFactory::getApplication();
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php';
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'CategoryHtmlHelper.php';
		
		$ld = new LDConfig();
		$user 	= &JFactory::getUser();
		$model	= &$this->getModel();
		$webcategory = &$this->get('data');
		$isNew	= ($webcategory->id < 1);
		
		if ($isNew) {
			$webcategory->published = 1;
			$webcategory->approved 	= 1;
			$webcategory->order 	= 0;
			$webcategory->catid 	= JRequest::getVar( 'catid', 0, 'post', 'int' );
		}

		$lists = array();
		$lists['ordering'] = JHTML::_('list.specificordering',  $webcategory, $webcategory->id,  $this->getQueryForOrderList($webcategory) );
		$lists['catid'] = CategoryHtmlHelper::getCategoryListAsHtml( 'parent_id', intval( $webcategory->parent_id));
		$lists['published'] 		= JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $webcategory->published );
		$thumbnailDir = DS.'images'.DS.'stories';
		$javascript = "onchange=\"javascript:if (document.forms[0].image.options[selectedIndex].value!='') {document.imagelib.src='../$thumbnailDir/' + document.forms[0].image.options[selectedIndex].value} else {document.imagelib.src='../images/blank.png'}\"";
		$lists['image']             = JHTML::_('list.images', 'image', $webcategory->image ,$javascript,$thumbnailDir);
		$lists['thumbnaildir']      = $thumbnailDir;
		JFilterOutput::objectHTMLSafe( $webcategory, ENT_QUOTES, 'description' );
		$source = JRequest::getString('source','');	
		
		$this->assignRef('lists', $lists);
		$this->assignRef('webcategory',	$webcategory);
		$this->assignRef('source',  $source);
		parent::display($tpl);
	}
	
	private function getQueryForOrderList(&$webcategory){
			$query = 'SELECT ordering AS value, title AS text'
			. ' FROM #__ldlinks'
			. ' WHERE catid = ' . (int) $webcategory->id
			. ' ORDER BY ordering';
			return $query;
	}
	
}
